<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{435F7498-2A8A-4D9C-A932-8437C87F7220}</ProjectGuid>
    <LangVersion>10.0</LangVersion>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>DEP08SIASM</RootNamespace>
    <AssemblyName>DEP08SIASM</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x86</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.IO.Compression.FileSystem" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Adaptation\Eaf\Core\AutoGenerated\BackboneComponent.cs" />
    <Compile Include="Adaptation\Eaf\Core\AutoGenerated\BackboneStatusCache.cs" />
    <Compile Include="Adaptation\Eaf\Core\AutoGenerated\ILoggingSetupManager.cs" />
    <Compile Include="Adaptation\Eaf\Core\AutoGenerated\StatusItem.cs" />
    <Compile Include="Adaptation\Eaf\Core\Backbone.cs" />
    <Compile Include="Adaptation\Eaf\Core\Smtp\EmailMessage.cs" />
    <Compile Include="Adaptation\Eaf\Core\Smtp\ISmtp.cs" />
    <Compile Include="Adaptation\Eaf\Core\Smtp\MailPriority.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\ChangeDataCollectionHandler.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\DataCollectionRequest.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\EquipmentEvent.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\EquipmentException.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\EquipmentSelfDescription.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\GetParameterValuesHandler.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\IConnectionControl.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\IDataTracingHandler.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\IEquipmentCommandService.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\IEquipmentControl.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\IEquipmentSelfDescriptionBuilder.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\IPackage.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\ISelfDescriptionLookup.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\IVirtualParameterValuesHandler.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\SetParameterValuesHandler.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\AutoGenerated\TraceRequest.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\IEquipmentDataCollection.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\Control\IPackageSource.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\DataCollection\Reporting\ParameterValue.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\SelfDescription\ElementDescription\EquipmentParameter.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\SelfDescription\ParameterTypes\Field.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\SelfDescription\ParameterTypes\ParameterTypeDefinition.cs" />
    <Compile Include="Adaptation\Eaf\EquipmentCore\SelfDescription\ParameterTypes\StructuredType.cs" />
    <Compile Include="Adaptation\Eaf\Management\ConfigurationData\CellAutomation\IConfigurationObject.cs" />
    <Compile Include="Adaptation\Eaf\Management\ConfigurationData\CellAutomation\ModelObjectParameterDefinition.cs" />
    <Compile Include="Adaptation\Eaf\Management\ConfigurationData\CellAutomation\ModelObjectParameterType.cs" />
    <Compile Include="Adaptation\Eaf\Management\ConfigurationData\Semiconductor\CellInstances\SecsConnectionConfiguration.cs" />
    <Compile Include="Adaptation\FileHandlers\Archive\FileRead.cs" />
    <Compile Include="Adaptation\FileHandlers\CellInstanceConnectionName.cs" />
    <Compile Include="Adaptation\FileHandlers\DEP08SIASM\FileRead.cs" />
    <Compile Include="Adaptation\FileHandlers\DEP08SIASM\Hyphen.cs" />
    <Compile Include="Adaptation\FileHandlers\DEP08SIASM\ProcessData.cs" />
    <Compile Include="Adaptation\FileHandlers\DownloadJpegFile\FileRead.cs" />
    <Compile Include="Adaptation\FileHandlers\Dummy\FileRead.cs" />
    <Compile Include="Adaptation\FileHandlers\jpeg\Description.cs" />
    <Compile Include="Adaptation\FileHandlers\jpeg\FileRead.cs" />
    <Compile Include="Adaptation\FileHandlers\jpeg\ProcessData.cs" />
    <Compile Include="Adaptation\FileHandlers\ToArchive\FileRead.cs" />
    <Compile Include="Adaptation\Ifx\Eaf\Common\Configuration\ConnectionSetting.cs" />
    <Compile Include="Adaptation\Ifx\Eaf\EquipmentConnector\File\Component\File.cs" />
    <Compile Include="Adaptation\Ifx\Eaf\EquipmentConnector\File\Component\FilePathGenerator.cs" />
    <Compile Include="Adaptation\Ifx\Eaf\EquipmentConnector\File\Configuration\FileConnectorConfiguration.cs" />
    <Compile Include="Adaptation\Ifx\Eaf\EquipmentConnector\File\SelfDescription\FileConnectorParameterTypeDefinitionProvider.cs" />
    <Compile Include="Adaptation\PeerGroup\GCL\Annotations\NotNullAttribute.cs" />
    <Compile Include="Adaptation\PeerGroup\GCL\SecsDriver\HsmsConnectionMode.cs" />
    <Compile Include="Adaptation\PeerGroup\GCL\SecsDriver\HsmsSessionMode.cs" />
    <Compile Include="Adaptation\PeerGroup\GCL\SecsDriver\SecsTransportType.cs" />
    <Compile Include="Adaptation\PeerGroup\GCL\SecsDriver\SerialBaudRate.cs" />
    <Compile Include="Adaptation\Shared\Deposition\ScopeInfo.cs" />
    <Compile Include="Adaptation\Shared\Duplicator\Description.cs" />
    <Compile Include="Adaptation\Shared\FileRead.cs" />
    <Compile Include="Adaptation\Shared\Logistics.cs" />
    <Compile Include="Adaptation\Shared\Logistics2.cs" />
    <Compile Include="Adaptation\Shared\Methods\IDescription.cs" />
    <Compile Include="Adaptation\Shared\Methods\IFileRead.cs" />
    <Compile Include="Adaptation\Shared\Methods\ILogistics.cs" />
    <Compile Include="Adaptation\Shared\Methods\ILogistics2.cs" />
    <Compile Include="Adaptation\Shared\Methods\IProcessData.cs" />
    <Compile Include="Adaptation\Shared\Methods\ISMTP.cs" />
    <Compile Include="Adaptation\Shared\ParameterType.cs" />
    <Compile Include="Adaptation\Shared\ProcessDataStandardFormat.cs" />
    <Compile Include="Adaptation\Shared\Properties\IDescription.cs" />
    <Compile Include="Adaptation\Shared\Properties\IFileRead.cs" />
    <Compile Include="Adaptation\Shared\Properties\ILogistics.cs" />
    <Compile Include="Adaptation\Shared\Properties\ILogistics2.cs" />
    <Compile Include="Adaptation\Shared\Properties\IProcessData.cs" />
    <Compile Include="Adaptation\Shared\Properties\IScopeInfo.cs" />
    <Compile Include="Adaptation\Shared\Test.cs" />
    <Compile Include="FileHandlers\FileRead.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Shared\FilePathGenerator.cs" />
    <Compile Include="Shared\FilePathGeneratorInfo.cs" />
    <Compile Include="Shared\Mapper.cs" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <PackageReference Include="FFMpegCore">
      <Version>4.7.0</Version>
    </PackageReference>
    <PackageReference Include="Infineon.EAF.Runtime">
      <Version>2.39.0</Version>
    </PackageReference>
    <PackageReference Include="Instances">
      <Version>1.6.1</Version>
    </PackageReference>
    <PackageReference Include="System.Text.Json">
      <Version>5.0.1</Version>
    </PackageReference>
    <PackageReference Include="Tesseract">
      <Version>4.1.1</Version>
    </PackageReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>